import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

sns.set(style="ticks")

mpg = sns.load_dataset("mpg")
mpg_mod = mpg[["mpg", "horsepower", "displacement", "origin"]]

sns.pairplot(mpg_mod, vars=["horsepower", "displacement"], kind='reg')

plt.show()
